Name:           python-oda-integral-wrapper
Version:        1.5.16
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        wrapper for INTEGRAL analysis using the API plugin for Multi-messenger online data analysis

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.astro.unige.ch/oda/api-clients/oda_api_wrapper
Source:         %{pypi_source oda_integral_wrapper}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'oda-integral-wrapper' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-oda-integral-wrapper
Summary:        %{summary}

%description -n python3-oda-integral-wrapper %_description


%prep
%autosetup -p1 -n oda_integral_wrapper-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-oda-integral-wrapper -f %{pyproject_files}


%changelog
%autochangelog